## rshim 1.6-0ubuntu1

=== Makefile ===
#
# Build:
#   make -C /lib/modules/`uname -r`/build M=$PWD [clean]
#
# Install (as root):
#   make -C /lib/modules/`uname -r`/build M=$PWD INSTALL_MOD_DIR=extra/rshim modules_install
#

obj-m := rshim.o rshim_net.o rshim_usb.o rshim_pcie.o rshim_pcie_lf.o

=== debian/changelog ===
rshim (1.6-0ubuntu1) bionic; urgency=medium

  * Updated by Mellanox BSP BlueField-2.1.0.10924

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Mon, 12 Aug 2019 14:46:08 +0800

rshim (1.6-0) unstable; urgency=low

  * rshim: Fixed 91-tmfifo_net.rules for Ubuntu
  * rshim/tmfifo driver: Add checksum for ctrl messages
  * Lx: sync up to HW P4 @330081
  * rshim/tmfifo driver: Setting DHCP client identifier
  * rshim/pcie: fix the slow responding when tmfifo is full
  * Add back "RShim/TmFifo: Peer MAC address configuration"
  * Revert "RShim/TmFifo: Peer MAC address configuration"
  * Improve linux driver register generation script
  * RShim/TmFifo: Peer MAC address configuration
  * rshim/pcie: Fix the return value in rshim_pcie_probe()
  * Lx: sync up to HW P4 @293831
  * rshim/console: only allow one console opened at a time
  * rshim: add rshim_sw_reset_skip module argument
  * Viper/RShim/USB: Support RShim/USB product ID for Viper
  * Make adjustments to drivers to make upstreaming easier
  * rshim_pcie_lf: fix hung issue and add console/net support
  * rshim/tmfifo out-of-sync prevention
  * Auto-select rshim driver at runtime
  * Load rshim_net automatically
  * Rshim driver: support centos 6.6
  * RShim driver: adjust the installation path from source code
  * Avoid rshim drivers being added into initramfs
  * RShim/PCIe network throughput very low when rshim/console is opened
  * Several rshim driver robust changes for rshim/PCIe
  * tmfifo_net: Fix the udev script to bring up the interface
  * rshim_net: Assign unique MAC addresses to multiple instances
  * Move rshim README to the Documentation directory
  * RShim driver: change debug level of some messages
  * rshim driver: Fix a build warning on CentOS 7.4
  * Added sign-modules script to all BF drivers
  * Add script to generate needed register info
  * Update our generated register header file format
  * rshim driver: Remove the multi_function.rshim_pf_en from README
  * RShim driver: Fix the rshim console issue over pcie

 -- Vladimir Sokolovsky <vlad@mellanox.com>  Tue, 30 Apr 2019 13:45:10 +0200

rshim (0.8-0ubuntu5) bionic; urgency=medium

  * Bump version for PPA conflict

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Tue, 26 Feb 2019 16:33:03 +0800

rshim (0.8-0ubuntu4) bionic; urgency=medium

  * rshim/pcie: Fix the return value in rshim_pcie_probe() (LP: #1817463)

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Tue, 26 Feb 2019 15:37:34 +0800

rshim (0.8-0ubuntu3) bionic; urgency=medium

  * Updated by Mellanox BSP BlueField-1.2.0.10637

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Wed, 12 Dec 2018 16:37:45 +0800

rshim (0.8-0ubuntu2) bionic; urgency=medium

  * Updated by mellanox

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Thu, 04 Oct 2018 18:12:03 +0800

rshim (0.8-0ubuntu1) bionic; urgency=medium

  * Initial commit for bionic

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Wed, 04 Jul 2018 16:08:01 +0800

rshim (0.8-0) unstable; urgency=low

  * rshim: Added UDEV rules file
  * RShim driver: Initialize the virtio packet header
  * RShim driver: Linux kernel 4.15 support
  * Add 32-bit kernel support for rshim_pcie driver
  * Bug fix for rshim_net
  * CentOS README improvement
  * rshim driver: Fix the changing rshim name
  * rshim driver: Add module argument for host MAC
  * Add rshim misc file
  * rshim driver fix
  * Add support for RShim console and net over PCIe
  * rshim_net cleanup when it fails to load
  * Rshim driver more kernel version support

 -- Vladimir Sokolovsky <vlad@mellanox.com>  Thu, 5 Apr 2018 14:25:22 +0200

rshim (0.2-0) unstable; urgency=low

  * Initial release.

 -- Vladimir Sokolovsky <vlad@mellanox.com>  Mon, 11 Dec 2017 11:50:53 -0600

=== debian/control ===
Source: rshim
Section: kernel
Priority: optional
Maintainer: Mellanox Technologies <support@mellanox.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, bzip2, dkms
Standards-Version: 1.0
Homepage: http://www.mellanox.com

Package: rshim-dkms
Section: kernel
Architecture: all
Depends: dkms, make, ${misc:Depends}
Recommends: linux-headers-arm64 | linux-headers-powerpc | linux-headers-ppc64 | linux-headers-ppc64le | linux-headers-amd64 | linux-headers | linux-headers-generic
Description: DKMS support fo rshim kernel modules
 This package provides integration with the DKMS infrastructure for automatically building out of tree kernel modules.
 .
 This package contains the source to be built with dkms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WITH_DKMS ?= 1
MLXNUMC = $(shell grep ^processor /proc/cpuinfo | wc -l)
NJOBS ?= $(shell if [ $(MLXNUMC) -lt 16 ]; then echo $(MLXNUMC); else echo 16; fi)

pname:=rshim
psource:=$(pname)-source
ifeq ($(WITH_DKMS),1)
pdkms:=$(pname)-dkms
else
pdkms:=$(pname)-modules
endif

pversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')
prel := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-\(.\+\)/\2/p')

export INSTALL_MOD_DIR:=updates
export INSTALL_MOD_PATH:=$(CURDIR)/debian/$(pdkms)

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)


KVER ?= $(shell uname -r)
KVER1 = $(shell echo $(KVER) | sed -e 's/_/-/g')
K_BUILD ?= "/lib/modules/$(KVER)/build"

%:
ifeq ($(WITH_DKMS),1)
	dh $@ --with dkms
else
	dh $@
endif

override_dh_auto_clean:

override_dh_auto_configure:

override_dh_auto_build:
ifneq ($(WITH_DKMS),1)
	@echo Building for $(KVER)
	make clean || true
	make -j$(NJOBS) KVERSION=$(KVER) -C $(K_BUILD) M=$(PWD) modules
endif

override_dh_auto_test:

override_dh_auto_install:
	dh_installdirs -p$(pdkms)  etc/udev/rules.d
	install -m 0644 91-tmfifo_net.rules debian/$(pdkms)/etc/udev/rules.d/
ifneq ($(WITH_DKMS),1)
	make INSTALL_MOD_DIR=$(INSTALL_MOD_DIR) INSTALL_MOD_PATH=$(INSTALL_MOD_PATH) KERNELRELEASE=$(KVER) KVERSION=$(KVER) -C $(K_BUILD) M=$(PWD) modules_install
	find $(INSTALL_MOD_PATH) \( -type f -a -name "modules.*" \) -delete
endif

	# For dkms
ifeq ($(WITH_DKMS),1)
	dh_installdirs -p$(pdkms)  usr/src/$(pname)-$(pversion)
	cp Makefile debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp dkms.conf debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp *.[ch] debian/$(pdkms)/usr/src/$(pname)-$(pversion)

	# Force DKMS to install our modules.
	# This is mostly needed for modules that do not have a version number info, as DKMS
	# will compare their srcversion field, which does not really say which module is newer.
	dh_installdirs -p$(pdkms)  usr/share/dkms/modules_to_force_install/
	echo "$(pname)" > debian/$(pdkms)/usr/share/dkms/modules_to_force_install/$(pname).force
endif

override_dh_installinit:


ifneq ($(WITH_DKMS),1)
override_dh_gencontrol:
	dh_gencontrol -- -v$(pversion)-$(prel).kver.$(KVER1)
endif
